/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  kteegala - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.accservice.core.win32.ia2;

/**
 * @author kteegala
 *
 */

public class IA2TextSegment {
	
	public String text;
	public int start;
	public int end; 

	public IA2TextSegment() {
	}
	
	public IA2TextSegment(String text, int start, int end) {
		this.text = text;
		this.start = start;
		this.end = end;
	}

	public int getEnd() {
		return end;
	}

	public int getStart() {
		return start;
	}

	public String getText() {
		return text;
	}
	
	public String toString(){
		return getClass().getName() + "[text=" +text + ",start=" + start + ",end=" + end + "]";
	}

}
