/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.mozdom.staticweb.ui;

import org.eclipse.actf.validation.ui.preferences.ValidationPreferenceInitializer;

public class MozillaValidationPreferenceInitializer extends ValidationPreferenceInitializer
{

	//keys should be prefaced with their appropriate pool id
	// Configuration.ACTF_ID is default
	//public static final String POOL_ID_DELIMITER = "$";

	public static final String P_BROWSER_MAX_HISTORY = "actf.browser.max.history";

	public static final String P_BROWSER_HISTORY_LIST = "actf.browser.history.list";
	
	public MozillaValidationPreferenceInitializer () {
		super();
	}

	public void initializeDefaultPreferences () {
		super.initializeDefaultPreferences();
		
		MozillaValidationUIPlugin plugin = MozillaValidationUIPlugin.getDefault();

		// Is there anything that needs to go here?
	}	
}

