/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 
package org.eclipse.actf.accservice.core.win32.ia2;

public class IA2RowColumnExtents {

	public int row;  
	public int column;  
	public int rowExtents;  
	public int columnExtents;  
	public boolean isSelected; 

	public IA2RowColumnExtents(int row, int column, int rowExtents, int columnExtents, boolean isSelected) {
		this.row = row;
		this.column = column;
		this.rowExtents = rowExtents;
		this.columnExtents = columnExtents;
		this.isSelected = isSelected;
	}
	
	public String toString(){
		return getClass().getName() + "[row=" + row + ",col="+ 
					column + ",rowExtents=" +rowExtents
				+",colExtents=" + columnExtents
				+"isSel=" + isSelected;
	}
}
