package org.eclipse.actf.model.javapp;

import org.eclipse.actf.core.ActfCorePlugin;
import org.eclipse.actf.core.config.IConfiguration;
import org.eclipse.actf.model.ModelPlugin;
import org.osgi.framework.BundleContext;

public class JavaModelPlugin extends ModelPlugin
{

	// The plug-in ID

	public static final String JAVA_MODEL_PLUGIN_ID = "org.eclipse.actf.model.javapp";

	
	// The shared instance
	private static JavaModelPlugin plugin;
	
	protected IConfiguration configuration;

	/**
	 * The constructor
	 */
	public JavaModelPlugin() {
		super();
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
        super.stop(context);		
	}

	/**
	 * Returns the shared instance
	 * 
	 * @return the shared instance
	 */
	public static ActfCorePlugin getDefault() {
		return plugin;
	}

	public String getPluginId() {
		return JAVA_MODEL_PLUGIN_ID;
	}
	
	
}
