/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* Ann Ford - initial API and implementation
*******************************************************************************/ 
package org.eclipse.actf.model.javapp.traverse;

import org.eclipse.actf.model.traverse.filters.INodeFilter;
import org.eclipse.swt.widgets.Item;

/**
 * This filter will exclude items.  
 * If you wish to show all items,
 * remove it, or do not set it in the first place.
 * @author annford
 *
 */
public class SwtNodeItemFilter implements INodeFilter
{
	

	public boolean pass (Object node) {
		boolean item = false;
		if (node != null) {
			item = node instanceof Item;
		}
		return !item;
	}
}
