/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.rules;

public class RuleConstants {

	// ACTF rule names
	public static final String AND = "and";
	public static final String EQ = "eq";
	public static final String FOCUS = "focus";
	public static final String INSTANCEOF = "instanceof";
	public static final String MIN = "min";
	public static final String MAX = "max";
	public static final String NEQ = "neq";
	public static final String OR = "or";
	public static final String RANGE = "range";
	public static final String REFLEXIVE = "reflexive";
	public static final String REGEXP = "regexp";
	public static final String SCRIPT = "script";
	public static final String SCRIPTTEST = "scripttest";
	
	// ACTF rule attributes
	public static final String CRITERION = "criterion";
	public static final String NAME = "name";
	public static final String ID = "id";
	public static final String ENABLE = "enable";
	public static final String IGNOREIFNULL = "ignoreifnull";
	public static final String ITERATOR = "iterator";
	public static final String MESSAGE = "message";
	public static final String PARAM = "param";
	public static final String POLYMORPHIC = "polymorphic";
	public static final String SEVERITY = "severity";
	public static final String REPAIRHINT = "repairhint";
	public static final String DESCRIPTION = "description";
	public static final String HELPURL = "helpurl";
}
