/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  barryf - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui;

import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.widgets.Control;

/**
 * @author barryf
 *
 */
public interface ISeverityColorProvider
{

	Color getErrorBackgroundColor (Control ctl);

	Color getWarningBackgroundColor (Control ctl);

	Color getInfoBackgroundColor (Control ctl);

	Color getNormalBackgroundColor (Control ctl);

	Color getNormalForegroundColor (Control ctl);
}
