/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.providers;

import org.eclipse.actf.validation.ui.views.BaseViewPart;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;


public class BaseViewPartLabelProvider extends LabelProvider
{

	/**
	 * 
	 */
	protected final BaseViewPart view;

	/**
	 * @param part
	 */
	public BaseViewPartLabelProvider (BaseViewPart part) {
		view = part;
	}

	public Image getImage (Object element) {
		return this.view.getImageForElement(element, -1);
	}
}
