package org.eclipse.actf.validation.valdoc.rulebase;

/**
 * represents a &lt;raven:executionPoint&gt; element in a document. Execution points are used to determine when 
 * validations and other processes are to be triggered. 
 * 
 * @author <a href="mailto:masquill@us.ibm.com">Mike Squillace</a>
 *
 */
public class ExecutionPointElement extends BaseElement
{

	public static final String METHOD_TYPE = "method";
	public static final String EVENT_TYPE = "event";
	public static final String PROPERTYCHANGE_TYPE = "propertychange";

	
	public ExecutionPointElement(String name, String text) {
		super(name, text);
	}

}
